techs:

    co2_supply:
        essentials:
            name: 'CO2 Supply (Purchase)'
            color: '#000000'
            parent: supply
            carrier: CO2
        constraints:
            resource: inf
            energy_cap_max: inf
            lifetime: 1
        costs:
            monetary:
                interest_rate: 0.05
                energy_cap: 0
                om_prod: 0.1

 
                
    pv:
        essentials:
            name: 'Photovoltaic'
            color: '#F9D956'
            parent: supply_plus
            carrier: electricity
        constraints:
            resource: file=pv_nuts2_eu_cutout.csv:FI19
            resource_unit: energy_per_cap
            energy_cap_max: inf
            resource_area_max: inf
            force_resource: false
            resource_area_per_energy_cap: 1
            lifetime: 25
        costs:
            monetary:
                interest_rate: 0.05
                energy_cap: 1074
                om_annual_investment_fraction: 0.015
                
    wind_on:
        essentials:
            name: 'Wind Onshore'
            color: '#0068ff'
            parent: supply_plus
            carrier: electricity
        constraints:
            resource: file=wind_nuts2_eu_cutout.csv:FI19
            resource_unit: energy_per_cap
            energy_cap_max: inf
            resource_area_max: inf
            force_resource: false
            resource_area_per_energy_cap: 1
            lifetime: 25
        costs:
            monetary:
                interest_rate: 0.05
                energy_cap: 1312.5
                om_annual_investment_fraction: 0.02
                

                
    battery:             # Source: https://github.com/sjpfenninger/uk-calliope/blob/master/techs/storage.yaml
        essentials:
            color: '#177202'
            name: 'Battery Storage'
            parent: storage
            carrier: electricity
        constraints:
            charge_rate: 0.25
            energy_eff: 0.954
            storage_cap_max: inf
            storage_loss: 8.33e-05
            energy_cap_max: inf
            lifetime: 15
        costs:
            monetary:
                energy_cap: 139.69
                om_annual: 6.38
                om_prod: 0.00194
                storage_cap: 109.13
                interest_rate: 0.05
    

                
                
    htcoe: #meant as system, not as cell or stack
        essentials:
            name: 'High-temperature Co-Electrolysis'
            color: '#115a8a'
            parent: conversion_plus
            primary_carrier_in: electricity
            primary_carrier_out: syngas
            carrier_in: electricity
            carrier_in_2: CO2
            carrier_out: syngas
            carrier_out_2: O2
        constraints:
            energy_cap_equals: 70
            lifetime: 10
            energy_eff: 0.7
            energy_ramping: 1
            energy_cap_min_use: 0.7
            carrier_ratios.carrier_in_2.CO2: 0.1304345
            carrier_ratios.carrier_out_2.O2: 0.2032740676
            export_carrier: O2
        costs:
            monetary:
                interest_rate: 0.05
                energy_cap: 5000
                om_annual_investment_fraction: 0.025
                export: 0
            co2:
                om_prod: -0.186335
            
                
                
            
    syngas_demand:
        essentials:
            name: 'Syngas Demand'
            color: '#d3cd10'
            parent: demand
            carrier: syngas
        constraints:
            resource: file=syngasdemand.csv:7200

            
    ## Free Syngas Storage (Workaround for time-independent demand)
    syngas_storage:
        essentials:
            name: 'Syngas Free Storage'
            color: '#ff2d00'
            parent: storage
            carrier: syngas
        constraints:
            lifetime: 1
            energy_eff: 1
            energy_cap_max: inf
            storage_cap_max: inf
        costs:
            monetary:
                interest_rate: 0.05
                energy_cap: 0
                storage_cap: 0

            